* {
    --main-background-color: #0054a3;
    --logo-background-color: white;
    --main-hightlight-color: #fad200;
    --link-hightlight-color: #0054a3;

    --main-text-color: black;
    --opposite-text-color: #fff;
    --table-th-backgroundd-color: #0054a3;

}

.outline {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.outline-primary {
    color: #007bff;
    border-color: #007bff;
}
.outline-success {
    color: #28a745;
    border-color: #28a745;
}
.outline-secondary {
    color: #6c757d;
    border-color: #6c757d;
}

.bg-projet-light {
    background-color: #0054a38c !important;
}
.bg-projet-light:hover {
    background-color: #0054a38c !important;
}

.pointer {
    cursor: pointer !important;
}
.cursor-default {
    cursor: default !important;
}
.cursor-move {
    cursor: move !important;
}
.cursor-help {
    cursor: help !important;
}

.wrapper-param {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
}

.wrapper-param fieldset {
    min-width: 0;
    padding: 0;
    margin: 0;
    border: 0;
}

.box-item-param {
    min-height:200px;
    margin:10px;
    padding:10px;
    background-color: white;
    border: solid 1px #cccccc;
}
.box-item-param legend{
    font-size:18px;
    color:var(--main-background-color);
    border-bottom: 1px solid #e5e5e5;
    padding-bottom: 10px;
    width: 100%;
    line-height: 1.2;
}
.box-item-param a {
    text-decoration: none;
}
.box-item-param a:hover {
    font-weight: bold;
    color: var(--link-hightlight-color);
}
.box-item-param li {
    margin-bottom: 10px;
}

#titre_page {
    color: var(--link-hightlight-color);
}
#titre_liste_onglet {
    color: var(--link-hightlight-color);
    font-weight: bold;
}
#div_titre, #div_onglet_btn_contenu {
    display: none;
}

.w-1 {
    width: 1% !important;
}

/** NOTES **/

.flex-container-note {
    display: flex;
    flex-flow: row wrap;
    padding: 0;
    margin: 0;
    list-style: none;
}
.flex-item-note {
    margin: 10px;
    min-height: 48px;
    min-width: 48px;
    display: flex;
    flex-flow: column;
    justify-content: center;
    text-align: center;
    border-radius: 0.25rem;
    font-size: 16px;
    cursor: pointer;
}
.flex-item-note:first-child {
    margin-left: 0;
}

.flex-item-note-active {
    font-weight: bold;
    border: 3px solid black !important;
}
.flex-item-note-0 {
    background-color: #c8c8c8;
}
.flex-item-note-1 {
    background-color: #FF0000;
}
.flex-item-note-2 {
    background-color: #F8C611;
}
.flex-item-note-3 {
    background-color: #F5ED1C;
}
.flex-item-note-4 {
    background-color: #B4D433;
}
.flex-item-note-5 {
    background-color: #33A949;
}

.container_photo {
    box-shadow: 1px 1px 5px 0 #7c7c7c;
    margin: 15px 5px;
    padding: 10px 0;
}

/** PLANNING **/
.planning_date {
    font-size: 18px;
    color: var(--link-hightlight-color);
    text-align: center;
    font-weight: bold;
}
.planning_date a {
    text-decoration: none;
}

.planning td {
    border-top: none;
    border-bottom: solid 1px rgba(183,171,171,0.44);
    height: 60px;
    border-right: solid 1px rgba(183,171,171,0.44);
    padding: 2px;
    font-size: 12px;
}
.planning_intervention, .planning_intervention_jour {
    color: black;
    font-size: 12px;
    /*z-index: 100;*/
    margin: 2px;
    padding: 4px;
    display: flex;
    align-items: start;
    justify-content: flex-start;
    overflow:hidden;
    flex-direction: column;
    padding-left:8px;
    border-radius:5px;
    position:relative;
    flex: 1 1 0;
}
.planning_intervention_jour {
    position: absolute;
    width: 99%;
    margin-top: -15px;
}
.planning_tr_pause {
    z-index: 600;
    position: relative;
    background: white;
}

.planning_container {
    height:64vh;
    overflow-y: auto;
}
.planning_container_a_planifier {
    height:70vh;
    overflow-y: auto;
}
.planning_jour_container {
    height:72vh;
    overflow-y: auto;
}
.planning_jour_td {
    font-size: 12px;
    padding: 2px !important;
}
.planning_container::-webkit-scrollbar, .planning_jour_container::-webkit-scrollbar {
    display: none;
}

.planning_flex_container {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
    padding: 0;
    margin: 0;
    list-style: none;
}
.planning_flex_item {
    background-color: #f2f2f2;
    /*width: 500px;*/
    width: 280px;
    margin: 10px;
    padding: 0;
    font-size: 11px !important;
}
.planning_flex_item table {
    width: 100%;
    border-spacing: 0;
    border-collapse: collapse;
    background-color: white;
}
.planning_flex_item table tr:first-child td {
    border-top: 1px solid #CCCCCC;
}
.planning_flex_item table tr:first-child td:first-child {
    border-top: none;
}
.planning_flex_item table tr td:first-child {
    border-right: 1px solid #CCCCCC;
    border-bottom: none;
    background-color: #f2f2f2;
    padding: 0 3px 0 0;
    text-align: right;
    vertical-align: text-bottom;
    font-weight: bold;
    font-size: 12px;
}
.planning_flex_item table td {
    padding: 10px 10px;
    border-right: 1px solid #CCCCCC;
    border-bottom: 1px solid #CCCCCC;
}

.planning_absence {
    cursor: pointer;
    text-transform: uppercase;
    height: 100%;
    color:black;
    display:flex;
    justify-content: center;
    align-items:center;
    text-align: center;
}
.intervention_a_planifier {
    border: 1px solid lightgrey;
    background-color: #f2f2f2;
    cursor: move;
    border-radius: 6px;
    margin-bottom: 10px;
    padding: 7px 10px;
    color:var(--link-hightlight-color);
    box-shadow: rgb(99 99 99 / 20%) 0px 2px 8px 0px;
}
.planning_legende {
    padding: 10px 8px;
    border-radius: 5px;
    white-space: nowrap;
    flex: 1 1 0;
}

.popup_intervention_titre {
    font-weight: bold;
    vertical-align: top;
}
.popup_intervention {
    background-color: white;
    /*line-height: 1rem;*/
    width: 300px;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
    border-radius: 6px;

}
.popup_intervention_header {
    background-color: #fff;
    height: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-top-right-radius: 7px;
    border-top-left-radius: 7px;
    font-size: 14px;
    color: black;
    font-weight: 500;

}
.popup_intervention_body {
    padding: 7px;
}

.planning_badge_remove {
    cursor: pointer;
    transform: translate(-50%,-50%)!important;
    position: absolute!important;
    top: 10px;
    right: -5px;
}

#deplanifier {
    /*z-index: 999999;
    position:fixed;
    min-width: 120px;
    bottom:20px;
    right:20px;*/
    background-color: var(--main-background-color);
    border: 2px solid black;
    border-radius:14px;
    text-align:center;
    padding: 15px;
    text-transform: uppercase;
    /*align-items: center;*/
    font-size:0.9rem;
    color: white
}

